require( "scripts/style.lua" );

MakeDialog
{
	Bitmap
	{
		name = "backgroundimage",
		x = 0,
		y = 0,
		SetStyle(DefaultStyle),
		SpotTheDiff
		{
			name = "SpotTheDiff02",
			PSDFile="assets/diff/dutfields_diff.psd",
			NextLevelScript = "level/level.lua",
			conversation = "SpotTheDiff02",
			solved = "dutfields",
			journal = "journal/journal3.lua",
			
			x = 0,
			y = 0,
			w = 800,
			h = 600,
			Time = 300,
			music="audio/music/music2.ogg",			

		SetStyle(ButtonStyle),
		CSkipButton
		{
			x=673,
			y=544,
			name="skip",
			label="skip",
			cancel=true,
			command=
			function()
				LevelSkip();
			end
		},
			SetStyle(ButtonStyle),
			Button
			{
				x=673,
				y=2,
				name="pause",
				label="pause",
				cancel=true,
				command=
				function()
					DoModal("scripts/pause.lua");
				end
			},


			SetStyle(DefaultStyle),
			Text
			{
				name = "remainingDiffs",
				label = "remaining",
				x = 350,
				y = 552,
				w = 136,
				h = 28,
				font = DialogBodyFont,
				flags = kHAlignLeft+kVAlignTop,
			},
		},
	},	
	Bitmap
	{
		name = "notime",
		image = "diff/dutfields_notime",
		x = 304,
		y = 0,
		scale = 1.00,},
		
		SetStyle(HintStyle),
		Button
		{
			name = "hints",
			x = 43,
			y = 504,
			command =
			function()
				ShowHint();
			end
		},
		Hints
		{
			name = "Hints",
			x = 13,
			y = 540,
			w = 128,
			h = 60,
			SetStyle(DefaultStyle),
			Text
			{
align=kHAlignLeft + kVAlignTop,
				name = "numHints",
				label = "numhints",
				x = 87,
				y = 27,
				w = 80,
				h = 22,
				font = TimerFont,
				flags = kHAlignLeft+kVAlignCenter,
			},
		},
}
